searchData={"items":[{"type":"module","title":"BlockKeys","doc":"Generates or restores a wallet from mnemonic phrases","ref":"BlockKeys.html"},{"type":"function","title":"BlockKeys.from_mnemonic/2","doc":"","ref":"BlockKeys.html#from_mnemonic/2"},{"type":"function","title":"BlockKeys.generate/1","doc":"","ref":"BlockKeys.html#generate/1"},{"type":"module","title":"BlockKeys.Base58","doc":"Documentation for Base58.","ref":"BlockKeys.Base58.html"},{"type":"function","title":"BlockKeys.Base58.decode/1","doc":"","ref":"BlockKeys.Base58.html#decode/1"},{"type":"function","title":"BlockKeys.Base58.decode_check/2","doc":"","ref":"BlockKeys.Base58.html#decode_check/2"},{"type":"function","title":"BlockKeys.Base58.encode/2","doc":"","ref":"BlockKeys.Base58.html#encode/2"},{"type":"function","title":"BlockKeys.Base58.encode_check/2","doc":"","ref":"BlockKeys.Base58.html#encode_check/2"},{"type":"module","title":"BlockKeys.Base58.Check","doc":"","ref":"BlockKeys.Base58.Check.html"},{"type":"function","title":"BlockKeys.Base58.Check.decode_check/2","doc":"","ref":"BlockKeys.Base58.Check.html#decode_check/2"},{"type":"function","title":"BlockKeys.Base58.Check.encode_check/2","doc":"","ref":"BlockKeys.Base58.Check.html#encode_check/2"},{"type":"module","title":"BlockKeys.Base58.Encoder","doc":"","ref":"BlockKeys.Base58.Encoder.html"},{"type":"function","title":"BlockKeys.Base58.Encoder.alphabet/0","doc":"","ref":"BlockKeys.Base58.Encoder.html#alphabet/0"},{"type":"function","title":"BlockKeys.Base58.Encoder.decode/1","doc":"","ref":"BlockKeys.Base58.Encoder.html#decode/1"},{"type":"function","title":"BlockKeys.Base58.Encoder.encode/2","doc":"","ref":"BlockKeys.Base58.Encoder.html#encode/2"},{"type":"module","title":"BlockKeys.Bitcoin","doc":"Helper module to derive and convert to a Bitcoin Address","ref":"BlockKeys.Bitcoin.html"},{"type":"function","title":"BlockKeys.Bitcoin.address/2","doc":"","ref":"BlockKeys.Bitcoin.html#address/2"},{"type":"module","title":"BlockKeys.Bitcoin.Address","doc":"Converts a public extended key into a Bitcoin Address","ref":"BlockKeys.Bitcoin.Address.html"},{"type":"function","title":"BlockKeys.Bitcoin.Address.from_xpub/1","doc":"","ref":"BlockKeys.Bitcoin.Address.html#from_xpub/1"},{"type":"module","title":"BlockKeys.CKD","doc":"This module derives children keys given an extended public or private key and a path","ref":"BlockKeys.CKD.html"},{"type":"function","title":"BlockKeys.CKD.child_key/2","doc":"","ref":"BlockKeys.CKD.html#child_key/2"},{"type":"function","title":"BlockKeys.CKD.child_key_private/2","doc":"","ref":"BlockKeys.CKD.html#child_key_private/2"},{"type":"function","title":"BlockKeys.CKD.child_key_public/2","doc":"","ref":"BlockKeys.CKD.html#child_key_public/2"},{"type":"function","title":"BlockKeys.CKD.derive/2","doc":"Returns a Base58 encode check child extended key given an extended key and a path\n\n#","ref":"BlockKeys.CKD.html#derive/2"},{"type":"function","title":"Examples - BlockKeys.CKD.derive/2","doc":"iex> BlockKeys.derive(\"xprv9s21ZrQH143K3BwM39ubv3fkaHxCN6M4roETEg68Jviq9AnbRjmqVAF4qJHkoLqgSv2bNqYTnRNY9yBQhjNYceZ1NxiDe8WcNJAeWetCvfR\", \"m/44'/0'/0'\")\n      \"xprv9yAYtNSBnu2ojv5BR1b8T39t8oPnbzG8H8CbEHnhBhoXWf441nRA3zDW7PFBL4wkz7CNqtbhr4YVnLuSquiR1QPJgk72jVN8uZ4S2UkuLVk\"","ref":"BlockKeys.CKD.html#derive/2-examples"},{"type":"function","title":"BlockKeys.CKD.master_keys/1","doc":"","ref":"BlockKeys.CKD.html#master_keys/1"},{"type":"function","title":"BlockKeys.CKD.master_private_key/2","doc":"","ref":"BlockKeys.CKD.html#master_private_key/2"},{"type":"function","title":"BlockKeys.CKD.master_public_key/1","doc":"","ref":"BlockKeys.CKD.html#master_public_key/1"},{"type":"module","title":"BlockKeys.Crypto","doc":"This module is a wrapper around cryptographic functions","ref":"BlockKeys.Crypto.html"},{"type":"function","title":"BlockKeys.Crypto.ec_point_addition/2","doc":"","ref":"BlockKeys.Crypto.html#ec_point_addition/2"},{"type":"function","title":"BlockKeys.Crypto.hash160/1","doc":"","ref":"BlockKeys.Crypto.html#hash160/1"},{"type":"function","title":"BlockKeys.Crypto.public_key/1","doc":"","ref":"BlockKeys.Crypto.html#public_key/1"},{"type":"function","title":"BlockKeys.Crypto.public_key_decompress/1","doc":"","ref":"BlockKeys.Crypto.html#public_key_decompress/1"},{"type":"function","title":"BlockKeys.Crypto.ripemd160/1","doc":"","ref":"BlockKeys.Crypto.html#ripemd160/1"},{"type":"function","title":"BlockKeys.Crypto.sha256/1","doc":"","ref":"BlockKeys.Crypto.html#sha256/1"},{"type":"module","title":"BlockKeys.Encoding","doc":"This module contains Base58check encoding and decoding functions for extended keys","ref":"BlockKeys.Encoding.html"},{"type":"function","title":"BlockKeys.Encoding.base58_encode/2","doc":"","ref":"BlockKeys.Encoding.html#base58_encode/2"},{"type":"function","title":"BlockKeys.Encoding.decode_extended_key/1","doc":"","ref":"BlockKeys.Encoding.html#decode_extended_key/1"},{"type":"function","title":"BlockKeys.Encoding.encode_extended_key/6","doc":"","ref":"BlockKeys.Encoding.html#encode_extended_key/6"},{"type":"function","title":"BlockKeys.Encoding.encode_private/1","doc":"","ref":"BlockKeys.Encoding.html#encode_private/1"},{"type":"function","title":"BlockKeys.Encoding.encode_public/1","doc":"","ref":"BlockKeys.Encoding.html#encode_public/1"},{"type":"function","title":"BlockKeys.Encoding.private_version_number/1","doc":"","ref":"BlockKeys.Encoding.html#private_version_number/1"},{"type":"function","title":"BlockKeys.Encoding.public_version_number/1","doc":"","ref":"BlockKeys.Encoding.html#public_version_number/1"},{"type":"module","title":"BlockKeys.Ethereum","doc":"Helper module to derive and convert to an Ethereum Address","ref":"BlockKeys.Ethereum.html"},{"type":"function","title":"BlockKeys.Ethereum.address/2","doc":"","ref":"BlockKeys.Ethereum.html#address/2"},{"type":"module","title":"BlockKeys.Ethereum.Address","doc":"Converts a public extended key into an Ethereum Address\nFollows EIP-55 checksum address encoding: https://eips.ethereum.org/EIPS/eip-55","ref":"BlockKeys.Ethereum.Address.html"},{"type":"function","title":"BlockKeys.Ethereum.Address.from_xpub/1","doc":"","ref":"BlockKeys.Ethereum.Address.html#from_xpub/1"},{"type":"function","title":"BlockKeys.Ethereum.Address.valid_address?/1","doc":"","ref":"BlockKeys.Ethereum.Address.html#valid_address?/1"},{"type":"module","title":"BlockKeys.Mnemonic","doc":"BIP32 implementation responsible for generating mnemonic phrases, seeds and public / private address trees.","ref":"BlockKeys.Mnemonic.html"},{"type":"function","title":"BlockKeys.Mnemonic.entropy_from_phrase/1","doc":"Takes a string of word phrases and converts them back to 256bit entropy","ref":"BlockKeys.Mnemonic.html#entropy_from_phrase/1"},{"type":"function","title":"Examples - BlockKeys.Mnemonic.entropy_from_phrase/1","doc":"iex> BlockKeys.Mnemonic.entropy_from_phrase(\"safe result wire cattle sauce luggage couple legend pause rather employ pear trigger live daring unlock music lyrics smoke mistake endorse kite obey siren\"\")\n    be16fbf0922bf9098c4bfca1764923d10e89054de77091f0af3346f49cf665fe","ref":"BlockKeys.Mnemonic.html#entropy_from_phrase/1-examples"},{"type":"function","title":"BlockKeys.Mnemonic.generate_phrase/1","doc":"Generates the 24 random manmonic words.\n\nCan optionally accept entropy string to used to generate a mnemonic.","ref":"BlockKeys.Mnemonic.html#generate_phrase/1"},{"type":"function","title":"Examples - BlockKeys.Mnemonic.generate_phrase/1","doc":"iex> BlockKeys.Bip32Mnemonic.generate_phrase()\n    \"baby shadow city tower diamond magnet avocado champion crash ...\"\n    iex> BlockKeys.Mnemonic.generate_phrase(\"1234\")\n    \"couple muscle snack\"\n\nNOTE: For now the seed can be only generated from 32 bytes entropy","ref":"BlockKeys.Mnemonic.html#generate_phrase/1-examples"},{"type":"function","title":"BlockKeys.Mnemonic.generate_seed/2","doc":"Given a binary of entropy it will generate teh hex encoded seed","ref":"BlockKeys.Mnemonic.html#generate_seed/2"},{"type":"function","title":"Examples - BlockKeys.Mnemonic.generate_seed/2","doc":"iex> BlockKeys.Mnemonic.generate_seed(\"weather neither click twin monster night bridge door immense tornado crack model canal answer harbor weasel winter fan universe burden price quote tail ride\"\n    \"af7f48a70d0ecedc77df984117e336e12f0f0e681a4c95b25f4f17516d7dc4cca456e3a400bd1c6a5a604af67eb58dc6e0eb46fd520ad99ef27855d119dca517\"","ref":"BlockKeys.Mnemonic.html#generate_seed/2-examples"},{"type":"function","title":"BlockKeys.Mnemonic.salt/1","doc":"","ref":"BlockKeys.Mnemonic.html#salt/1"}],"content_type":"text/markdown"}